Bug 5140 - XP uses GetPrinterDriver2 level 101, which is not implemented
XP uses GetPrinterDriver2 level 101, which is not implemented
Status: REOPENED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
unspecified
All Linux
: P3 enhancement
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 06:49 UTC by Kai Blin
Modified: 2011-06-28 15:10 UTC (History)
1 user (show)

See Also:


Attachments
implement-getdriver2-101.diff (8.22 KB, patch)
2009-03-19 08:00 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Blin 2007-12-13 06:49:44 UTC
As the RPC-SPOOLSS-WIN torture test from Samba4 shows, XP calls the GetPrinterDriver2 call with level 101, which is unsupported in rpc_server/srv_spoolss_nt.c
Comment 1 Guenther Deschner 2009-03-19 08:00:32 UTC
Created attachment 4000 [details]
implement-getdriver2-101.diff

Can you try this patch, please ?
Comment 2 Jeremy Allison 2009-04-01 18:11:46 UTC
Ping anyone ? Kai ? Guenther ? As this bug is reported by a Samba Team member and patch provided by a Team menber we should get it fixed soon :-).

Jeremy.
Comment 3 Guenther Deschner 2009-04-02 05:53:17 UTC
Ok, pushed to master and 3-4-test. Now there is only one issue left until s3 passes the RPC-SPOOLSS-WIN test.
Comment 4 Guenther Deschner 2010-02-15 04:21:49 UTC
disabled 101 again, marshalling not yet correct (unmarshalls fine), we know what to do but we first need to get reversed relative pointers right.
Comment 5 Karolin Seeger 2010-03-08 05:12:11 UTC
Raising component.
Comment 6 Kai Blin 2011-06-28 15:10:09 UTC
Any news?